Выпуск библиотеки Qt5Gtk2 0.3 для интеграции Qt5-программ в окружения GTK2+

Доступна очередная версия проекта Qt5Gtk2, в рамках которого развивается плагин для Qt5, обеспечивающий интеграцию с GTK+2.0. Плагин основан на коде, удалённом из состава Qt 5.7. Кроме поддержки стилей, имеется возможность использовать файловые диалоги из GTK+2.0. Код поставляется под лицензией GPLv2+.

Основные изменения относительного оригинального кода из состава Qt 5.6:

  • Обеспечен вызов функций библиотеки GTK+2.0 напрямую, без задействования QLibrary::resolve;
  • Удалена зависимость от GConf;
  • Удалено предупреждение об отсутствующем свойстве GtkRange::activate-slider;
  • Проведена чистка неиспользуемого кода.


08/17/2016 16:29:29
0

комментарии (0)